Subject: Re: bug#22650: guixSD default umask is 0000

From: myglc2 <[email-masked]>
Date: Mon, 22 Feb 2016 11:24:52 -0500

[email-masked] (Ludovic Courtès) writes:

> I can’t reproduce this.  For instance, in the system created with:
>
>   guix system vm gnu/system/examples/bare-bones.tmpl
>
> ‘umask’ returns 0022.
>
> Could it be that your user accounts have shell startup files like
> ~/.bashrc that specify a different umask?

I don't think so. I have attached a log of dot files for a sample user
(glc4) and the most current (feb 12) system config.

'system-generations-package-list' file was generated by 'emacs' 'M-x
guix-system-generations' '"select" (current) generation'

HTH, George